<script lang="ts">
  import type { IComponent } from "./interfaces/IComponent";
  import { Area } from "./enums/Area";
  import type { Theme } from "./enums/Theme";

  export interface IProfileHeadingDecoration extends IComponent {
    area: Area;
    theme: Theme;
    label?: string;
  }

  export let classes: string = "";
  export let label: string = "";
  export let area: Area;

  let classNames: string[];

  $: classNames.push(
    "w-full",
    "flex",
    "flex-row",
    "gap-6",
    "items-center",
    "justify-center",
    "text-center",
    
    "before:content-['']",
    "before:w-full",
    "before:block",
    "before:h-2",
    "before:rounded-full",

    "after:content-['']",
    "after:w-full",
    "after:block",
    "after:h-2",
    "after:rounded-full",
  );

  $: {
    classNames = classes?.split(" ") ?? [];

    switch (area) {
      case Area.ORG:
        classNames.push("before:bg-blue-700", "after:bg-blue-700");
        break;

  

      case Area.LABS:
        classNames.push("before:bg-emerald-500", "after:bg-emerald-500");
        break;

      case Area.DESIGN:
        classNames.push("before:bg-amber-500", "after:bg-amber-500");
        break;

      case Area.SPACE:
        classNames.push("before:bg-violet-700", "after:bg-violet-700");
        break;
    }
  }

  $: classNames = classNames;

</script>

<div class={classNames.join(' ')}>
  <slot>{label}</slot>
</div>